# SourcePath: eject/20070216dev
Summary: A program that ejects removable media using software control.
Name: sony-target-dev-eject
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-eject
Version: 2.1.5
Release: 08020601
License: GPL2
Group: %{sony_group}
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
URL: http://ca.geocities.com/jefftranter@rogers.com/eject.html
Source: eject-%{version}.tar.gz
Source1: eject.pam
Patch1: eject-2.1.1-verbose.patch
Patch2: eject-timeout.patch
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}


%description
The eject program allows the user to eject removable media (typically
CD-ROMs, floppy disks or Iomega Jaz or Zip disks) using software
control. Eject can also control some multi-disk CD changers and even
some devices' auto-eject features.

Install eject if you'd like to eject removable media using software
control.

%package -n %{pkgname}
Summary: A program that ejects removable media using software control.
Group:  %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
The eject program allows the user to eject removable media (typically
CD-ROMs, floppy disks or Iomega Jaz or Zip disks) using software
control. Eject can also control some multi-disk CD changers and even
some devices' auto-eject features.

Install eject if you'd like to eject removable media using software
control.

%prep
%setup -q -n eject
%patch1 -p1 -b .versbose
%patch2 -p1 -b .timeout

%build
%sony_target_dev_setup

%sony_target_dev_configure

make

%install
rm -rf %{buildroot}
%sony_target_dev_setup
%sony_target_dev_makeinstall

# pam stuff
install -m 755 -d %{buildroot}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/pam.d
install -m 644 %{SOURCE1} %{buildroot}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/pam.d/eject
install -m 755 -d %{buildroot}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/security/console.apps/
echo "FALLBACK=true" > %{buildroot}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/security/console.apps/eject

install -m 755 -d %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/usr/bin
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/usr/man
%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root)
%attr(644,root,root) %{sony_target_dir}%{sony_target_dev_sysconf_dir}/security/console.apps/*
%attr(644,root,root) %{sony_target_dir}%{sony_target_dev_sysconf_dir}/pam.d/*
%{sony_target_dir}%{sony_target_dev_dir}/usr/bin/*

%changelog
* Wed Nov 21 2018 Sony Corporation
- Initial build for CE Linux 8.2.6.X

* Wed Apr 17 2009 Sony Corporation
- Updated to 6.x 

* Fri Feb 16 2007 Sony Corporation
- Initial 2.1.5 version  build .
